cancel
Showing results for 
Search instead for 
Did you mean: 
McDuff
Level 10
Report Inappropriate Content
Message 1 of 8

MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution

Greetings

We're looking to migrate our MOVE infrastructure from 4.6 to 4.8 in preparation for Windows 10 1903.

Based on the documentation, it sounds like to do this, since 4.8 SVMs aren't compatible with 4.6 clients we have two options:

1. Big bang upgrade - upgrade our SVM Manger, SVMs and all of our clients to 4.8 all at once (yikes!).

2. Side by side upgrade - create a new 4.8 SVM Manager, SVMs and slowly migrate clients over to 4.8 and the new policies which point to the new servers.  This is quite a bit of work.

A couple questions:

a.  Is there another option besides big bang and side by side?

b.  If we go with option 2, can we upgrade all of the MOVE extensions to 4.8 and still manage 4.6 clients, SVMs and SVM managers?

 

2 Solutions

Accepted Solutions
Highlighted

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution
Whilst they've worded the doco to imply that 4.6 clients with a 4.8 SVM is not supported and does not work, it actually is and does. It has to be, because in a large environment with pooled, non-persistent VMs it's just not practical to go big bang. I first upgraded my Manager, then got part way through upgrading my SVMs when I found a show-stopping bug (support case in progress). So right now we have a bunch of 4.6 clients successfully using 4.8 SVMs. Of course, they prefer that that scenario is only transient, and that's reasonable. So long as you do it in the order of Mgr > SVMs > clients you'll be fine. PS. If your 4.6 SVMs are running VSE, I found the easiest way to upgrade them was first to uninstall MOVE 4.6, uninstall VSE, install ENS 10.6.1, and finally install MOVE 4.8.
McAfee Employee patrakshar
McAfee Employee
Report Inappropriate Content
Message 4 of 8

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution

Hi @McDuff ,

 

4.8 SVM can always take scan calls from 4.6 Clients. I am not sure which documents says that it cannot do it. Can you please share the document with me so that i can correct the same?

The upgrade steps are fairly simple:

Upgrade extensions to 4.8 is definitely the pre-requisite. So you have to do that at the beginning.

Firstly Upgrade the SVA-Manager from 4.6 to 4.8 

Second step is to Upgrade the SVM from 4.6 to 4.8

Once both SVA-Manager and SVM are in higher version than the clients it will be able to communicate with the 4.6 clients. 

As a third step you can gradually upgrade the 4.6 clients to 4.8. During this upgrade process 4.6 clients can communicate to 4.8 SVM and SVA-Manager. This has been given as feature for seamless upgrade process. 

Let me know for any concern.

 

7 Replies
Highlighted

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution
Whilst they've worded the doco to imply that 4.6 clients with a 4.8 SVM is not supported and does not work, it actually is and does. It has to be, because in a large environment with pooled, non-persistent VMs it's just not practical to go big bang. I first upgraded my Manager, then got part way through upgrading my SVMs when I found a show-stopping bug (support case in progress). So right now we have a bunch of 4.6 clients successfully using 4.8 SVMs. Of course, they prefer that that scenario is only transient, and that's reasonable. So long as you do it in the order of Mgr > SVMs > clients you'll be fine. PS. If your 4.6 SVMs are running VSE, I found the easiest way to upgrade them was first to uninstall MOVE 4.6, uninstall VSE, install ENS 10.6.1, and finally install MOVE 4.8.
McDuff
Level 10
Report Inappropriate Content
Message 3 of 8

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution
Thank you very much for your response! This information is extremely helpful and will save me a lot of work.
McAfee Employee patrakshar
McAfee Employee
Report Inappropriate Content
Message 4 of 8

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution

Hi @McDuff ,

 

4.8 SVM can always take scan calls from 4.6 Clients. I am not sure which documents says that it cannot do it. Can you please share the document with me so that i can correct the same?

The upgrade steps are fairly simple:

Upgrade extensions to 4.8 is definitely the pre-requisite. So you have to do that at the beginning.

Firstly Upgrade the SVA-Manager from 4.6 to 4.8 

Second step is to Upgrade the SVM from 4.6 to 4.8

Once both SVA-Manager and SVM are in higher version than the clients it will be able to communicate with the 4.6 clients. 

As a third step you can gradually upgrade the 4.6 clients to 4.8. During this upgrade process 4.6 clients can communicate to 4.8 SVM and SVA-Manager. This has been given as feature for seamless upgrade process. 

Let me know for any concern.

 

McDuff
Level 10
Report Inappropriate Content
Message 5 of 8

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution

There are two places:

https://kc.mcafee.com/corporate/index?page=content&id=KB74865:

2019-09-04 19_58_40-Microsoft Edge.png

 

Also, in the installation guide https://kc.mcafee.com/resources/sites/MCAFEE/content/live/PRODUCT_DOCUMENTATION/28000/PD28019/en_US/... on page 57 says if we have persistent VMs we need to duplicate the SVMs during the upgrade process (implying the 4.8 SVM won't be compatible with 4.6 clients)

2019-09-04 20_03_22-Microsoft Edge.png

McAfee Employee patrakshar
McAfee Employee
Report Inappropriate Content
Message 6 of 8

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution

Thank you @McDuff  for point it out. Let me clarify here:

What KB74865 means is that if you have if you have 4.5 Clients and 4.5 SVM and you want to upgrade to 4.6 then you need to make sure that the SVM has been upgraded to 4.6 before upgrading the client. 4.6 Clients can only talk to 4.6 SVM but not with 4.5 SVM. 

Regarding the point on installation guide that has been mentioned as per the best practice for 3.6, 4.0, 45 Clients to 4.8 upgrade process. When you are upgrading from those versions clients architecture is completely different than 4.8 SVM architecture. So for the best practice it is better to have backup SVM created till the upgrade process has been completed.

However if you are upgrading from 4.6 to 4.8, the client to SVM architecture is quite same for 4.6, 4.7 and 4.8. Hence when upgrading from 4.6 to 4.8 you really do not need to create backup SVM. Clients will be un-protected only during the time when SVM's are getting upgraded to 4.8. But as soon as the SVM's are upgraded to 4.8 all the 4.6 clients will be communicating to 4.8 SVM seamlessly.

So for your scenario since you  are upgrading from 4.6 to 4.8, the steps I mentioned in my previous comment will surely be working. 

 

McDuff
Level 10
Report Inappropriate Content
Message 7 of 8

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution
Thank you, that will certainly would make our upgrade less painful. Would it be possible to get the documentation updated to indicate this? Knowing that we can still use 4.8 SVMs and 4.8 SVM managers with 4.6 clients is extremely helpful information.
McAfee Employee patrakshar
McAfee Employee
Report Inappropriate Content
Message 8 of 8

Re: MOVE 4.6 to 4.8 upgrade options/Are 4.8 extensions backwards compatible with 4.6 clients?

Jump to solution

I will surely work with my documentation team on this to correct this.

More McAfee Tools to Help You
  • Subscription Service Notification (SNS)
  • How-to: Endpoint Removal Tool
  • Support: Endpoint Security
  • eSupport: Policy Orchestrator
  • Community Help Hub

      New to the forums or need help finding your way around the forums? There's a whole hub of community resources to help you.

    • Find Forum FAQs
    • Learn How to Earn Badges
    • Ask for Help
    Go to Community Help

    Join the Community

      Thousands of customers use the McAfee Community for peer-to-peer and expert product support. Enjoy these benefits with a free membership:

    • Get helpful solutions from McAfee experts.
    • Stay connected to product conversations that matter to you.
    • Participate in product groups led by McAfee employees.
    Join the Community
    Join the Community